Bug 987192 - ICE in lttng-tools-2.2.1-1.fc20
ICE in lttng-tools-2.2.1-1.fc20
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
20
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
: 992151 (view as bug list)
Depends On:
Blocks: ARMTracker F20FTBFS
  Show dependency treegraph
 
Reported: 2013-07-22 18:33 EDT by Peter Robinson
Modified: 2014-07-30 19:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 19:58:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source 1 (601.95 KB, text/x-csrc)
2013-07-22 18:33 EDT, Peter Robinson
no flags Details
preprocessed source 2 (685.84 KB, text/plain)
2013-07-22 18:34 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2013-07-22 18:33:23 EDT
Created attachment 777093 [details]
preprocessed source 1

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2005888

gcc -DHAVE_CONFIG_H -I../../.. -I../../.. -I../../../src -I../../../include -include config.h  -I../../../include -I../../../src -DINSTALL_BIN_PATH=\""/usr/lib/lttng/libexec"\" -DINSTALL_LIB_PATH=\""/usr/lib"\"  -fno-strict-aliasing -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -g -fno-strict-aliasing -c ust-thread.c
ust-app.c: In function 'ust_app_start_trace':
ust-app.c:3732:1: internal compiler error: in gen_movsi, at config/arm/arm.md:5539
 }
 ^
gcc -DHAVE_CONFIG_H -I../../.. -I../../.. -I../../../src -I../../../include -include config.h  -I../../../include -I../../../src -DINSTALL_BIN_PATH=\""/usr/lib/lttng/libexec"\" -DINSTALL_LIB_PATH=\""/usr/lib"\"  -fno-strict-aliasing -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -g -fno-strict-aliasing -c ust-metadata.c
gcc -DHAVE_CONFIG_H -I../../.. -I../../.. -I../../../src -I../../../include -include config.h  -I../../../include -I../../../src -DINSTALL_BIN_PATH=\""/usr/lib/lttng/libexec"\" -DINSTALL_LIB_PATH=\""/usr/lib"\"  -fno-strict-aliasing -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -g -fno-strict-aliasing -c main.c
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
main.c: In function 'thread_manage_kernel':
main.c:880:1: internal compiler error: in gen_movsi, at config/arm/arm.md:5539
 }
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc6nrrH7.out file, please attach this to your bugreport.
make[3]: *** [ust-app.o] Error 1
make[3]: *** Waiting for unfinished jobs....
Preprocessed source stored into /tmp/ccSrcyvi.out file, please attach this to your bugreport.
make[3]: *** [main.o] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/lttng-tools-2.2.1/src/bin/lttng-sessiond'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/lttng-tools-2.2.1/src/bin'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/lttng-tools-2.2.1/src'
make: *** [all-recursive] Error 1
Comment 1 Peter Robinson 2013-07-22 18:34:43 EDT
Created attachment 777094 [details]
preprocessed source 2
Comment 2 Peter Robinson 2013-07-22 18:36:48 EDT
assigning to gcc as it looks like an ICE
Comment 3 Yannick Brosseau 2013-08-05 09:25:59 EDT
*** Bug 992151 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2013-09-16 10:42:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Yannick Brosseau 2013-09-24 14:06:59 EDT
It happens when we activate the hardening flags. If I remove those, it compiles without problems.
Comment 6 Yannick Brosseau 2014-03-01 19:07:32 EST
GCC bug report: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=58595
Comment 7 Peter Robinson 2014-07-30 19:58:56 EDT
fixed upstream and package built in F-20

Note You need to log in before you can comment on or make changes to this bug.